<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 1/15/16
 * Time: 8:24 AM
 */

namespace IMATHUZH\Qfq\Tests\Unit\Core;

use IMATHUZH\Qfq\Core\Delete;
use IMATHUZH\Qfq\Core\Store\Store;
use IMATHUZH\Qfq\Tests\Unit\Core\Database\AbstractDatabaseTest;

require_once(__DIR__ . '/Database/AbstractDatabaseTest.php');

/**
 * Class DeleteTest
 * @package qfq
 */
class DeleteTest extends AbstractDatabaseTest {

    /**
     * @expectedException CodeException
     */
    public function testProcessException() {

        $delete = new Delete(true);

        // empty 'form' not allowed
        $delete->process('', 123);
    }

    /**
     * @expectedException CodeException
     */
    public function testProcessException2() {

        $delete = new Delete(true);

        // empty record id not allowed
        $formName = 'Person';
        $delete->process($formName, '');
    }

    /**
     * @expectedException CodeException
     */
    public function testProcessException3() {

        $delete = new Delete(true);
        $formName = 'Person';

        // record id = 0 not allowed
        $delete->process($formName, 0);
    }

    /**
     * @expectedException CodeException
     */
    public function testProcessException4() {

        $delete = new Delete(true);

        // unknown table not allowed
        $form[F_TABLE_NAME] = 'UnknownTable';
        $delete->process($form, 0);
    }

    protected function setUp() {

        $this->store = Store::getInstance('form=TestFormName', true);
        parent::setUp();

        $this->store->setVar('form', 'TestFormName', STORE_TYPO3);
        $this->store->setVar(SYSTEM_SITE_PATH, '/tmp', STORE_SYSTEM, true);

        $this->executeSQLFile(__DIR__ . '/Database/fixtures/Generic.sql', true);
    }

}
